/*!
 * \file Race.cs
 * \author Léana Besson
 */
using System.Runtime.Serialization;

/*!
 * \namespace Model
 */
namespace Model
{
    /*!
     * \class Race
     * \brief Regroups all properties and functions related to the breed
     */
    [DataContract(Name = "race")]
    public class Race
    {
        [DataMember(Name = "nom")]
        public string Nom { get; set; }

        [DataMember(Name = "scientique")]
        public string NomScientifique { get; set; }

        [DataMember(Name = "esperance")]
        public string EsperanceVie { get; set; }

        [DataMember(Name = "poids")]
        public string PoidsMoyen { get; set; }

        [DataMember(Name = "taille")]
        public string TailleMoyenne { get; set; }

        [DataMember(Name = "comportement")]
        public string Comportement { get; set; }

        [DataMember(Name = "sante")]
        public string Sante { get; set; }

        [DataMember(Name = "education")]
        public string Education { get; set; }

        [DataMember(Name = "entretien")]
        public string Entretien { get; set; }

        [DataMember(Name = "cout")]
        public string Cout { get; set; }

        [DataMember(Name = "conseil")]
        public string Conseil { get; set; }

        [DataMember(Name = "image")]
        public string? Image { get; set; }

        /*! 
         * \fn Race(string nom = "Inconnu", string nomScientifique = "Inconnu", string esperanceVie = "Inconnue", string poidsMoyen = "Inconnu", string tailleMoyenne = "Inconnu", string comportement = "Auncune information", string sante = "Aucune information", string education = "Auncune information", string entretien = "Aucune information", string cout = "Auncune information", string conseil = "Aucun conseil")
         * \brief Race class constructor
         */
        public Race(string nom = "Inconnu", string nomScientifique = "Inconnu", string esperanceVie = "Inconnue", string poidsMoyen = "Inconnu", string tailleMoyenne = "Inconnu", string comportement = "Auncune information", string sante = "Aucune information", string education = "Auncune information", string entretien = "Aucune information", string cout = "Auncune information", string conseil = "Aucun conseil")
        {
            Nom = nom;
            NomScientifique = nomScientifique;
            EsperanceVie = esperanceVie;
            PoidsMoyen = poidsMoyen;
            TailleMoyenne = tailleMoyenne;
            Comportement = comportement;
            Sante = sante;
            Education = education;
            Entretien = entretien;
            Cout = cout;
            Conseil = conseil;
        }

        /*!
         * \fn ToString()
         * \brief Element to display 
         * \return string - Element to display 
         */
        public override string ToString()
        {
            return Nom;
        }
    }
}
